define({"160":{i:0.00209635787188704,u:"../Content/Shared/GrammarReference/Headword.htm",a:"\u003cheadword\u003e Element: headword Child Elements: \u003cnone\u003e Description: A headword is the sequence of characters that produce an entity match. Example: See example in  \u003centry\u003e .",t:"\u003cheadword\u003e"},"161":{i:0.00209635787188704,u:"../Content/Shared/GrammarReference/Synonym.htm",a:"Element: synonym Child Elements: \u003cnone\u003e Description: A synonym is an alternative sequence of characters to a headword. Synonym matching produces an entity match, but returns the headword in place of the matching synonym. For example, if you search for dog with the synonym canine enabled, matches for ...",t:"\u003csynonym\u003e"},"162":{i:0.00209635787188704,u:"../Content/Shared/GrammarReference/Pattern.htm",a:"\u003cpattern\u003e Element: pattern Child Elements: \u003cnone\u003e Description: Defines a pattern used for matching. Example: \u003cpattern score=\".1\" case=\"insensitive\" replace=\"replacechars\" insert_before=\"prefix_\" insert_after=\"_suffix\"\u003ecat\u003c/pattern\u003e",t:"\u003cpattern\u003e"},"163":{i:0.00209635787188704,u:"../Content/Shared/GrammarReference/RegEx.htm",a:"\n           This section describes the regular expressions syntax that Eduction supports. The engine’s parser interprets regular expression syntax nearly identically to the UNIX regular expression syntax. The engine’s regular expression syntax also includes some extensions for matching substrings. \n ...",t:"Regular Expressions"},"164":{i:0.00387827256687101,u:"../Content/Shared/GrammarReference/ExampleGrammarFiles.htm",a:"Example Grammar Files \n          The following sample grammar files contains the gram_edk_place.xml grammar. ",t:"Example Grammar Files"},"165":{i:0.00209635787188704,u:"../Content/Shared/GrammarReference/grammar_xml.htm",a:"\u003c?xml version=\"1.0\" encoding=\"UTF-8\"?\u003e\n\n\u003c!DOCTYPE grammars SYSTEM \"../published/edk.dtd\"\u003e\n\u003c!-- Sample Eduction grammar file showing all elements and attributes in the DTD --\u003e\n\u003cgrammars debug=\"true\" case=\"sensitive\"\u003e\n  \u003cinclude path=\"grammar_include.xml\" type=\"private\"\u003e\n    \u003cpublish ...",t:"grammar.xml"},"166":{i:0.00209635787188704,u:"../Content/Shared/GrammarReference/grammar_include_xml.htm",a:"\u003c?xml version=\"1.0\" encoding=\"UTF-8\"?\u003e\n\u003c!DOCTYPE grammars SYSTEM \"../published/edk.dtd\"\u003e\n\u003cgrammars\u003e\n   \u003cgrammar name=\"grammar2\"\u003e\n      \u003centity name=\"g2e1\"\u003e\n         \u003cpattern\u003eanimal\u003c/pattern\u003e \u003c!-- default visibility --\u003e\n      \u003c/entity\u003e\n      \u003centity name=\"g2e2\" type=\"private\"\u003e \u003c!-- explicitly private ...",t:"grammar_include.xml"},"167":{i:0.00209635787188704,u:"../Content/Shared/GrammarReference/ExampleMatchMonths.htm",a:"\u003c?xml version=\"1.0\" encoding=\"UTF-8\"?\u003e\n\u003c!DOCTYPE grammars SYSTEM \"../published/edk.dtd\"\u003e\n\n\u003cgrammars version=\"4.0\"\u003e\n   \u003cinclude path=\"winter_names.ecr\" type=\"private\"/\u003e\n   \u003cgrammar name=\"example\"\u003e\n   \n      \u003centity name=\"spring_month\" type=\"private\"\u003e\n         \u003cpattern\u003e[Mm]ar(ch|\\.)\u003c/pattern\u003e\n         ...",t:"Example Grammar File to Match Months"},"168":{i:0.00209635787188704,u:"../Content/Shared/GrammarReference/PlaceNames.htm",a:"The following grammar file is a simplified version provided for example purposes, rather than actual source code. \u003centity name=\"city/spain\" type=\"public\"\u003e\n    \u003centry headword=\"Barcelona\"/\u003e\n    \u003centry headword=\"Ciudad Real\"/\u003e\n    \u003centry headword=\"Granada\"/\u003e\n    \u003centry ...",t:"Simplified Grammar File Containing a Dictionary of Place Names"},"169":{i:0.00209635787188704,u:"../Content/Shared/GrammarReference/TimeDay.htm",a:"The following grammar file is a simplified version provided for example purposes, rather than actual source code. \u003centity name=\"time_24_hour\" type=\"public\"\u003e\n   \u003cpattern\u003e[01][0-9]:[0-5][0-9]\u003c/pattern\u003e\n   \u003cpattern\u003e2[0-3]:[0-5][0-9]\u003c/pattern\u003e\n\u003c/entity\u003e\n\n\u003centity name=\"time_all\" type=\"public\"\u003e\n   ...",t:"Simplified Grammar File Containing Patterns to Match Times of Day"},"170":{i:0.00387827256687101,u:"../Content/Shared/GrammarReference/EductionGrammarDTD.htm",a:"The XML DTD describing the Eduction grammar (such as, edk.dtd) is as follows: \u003c!ELEMENT grammars (include*, grammar*)\u003e\n\u003c!ATTLIST grammars\nversion CDATA #IMPLIED\ncase (sensitive|insensitive|inherited) \"inherited\"\ndebug (true|false) \"false\"\n\u003e\n\u003c!ELEMENT include (publish*)\u003e\n\u003c!ATTLIST include\npath CDATA ...",t:"Eduction Grammar DTD"},"171":{i:0.00387827256687101,u:"../Content/Shared/LuaMethods/Eduction_Lua_Methods.htm",a:"Eduction Lua Methods Reference This section describes the methods you can use in your Lua post-processing scripts.",t:"Eduction Lua Methods Reference"},"172":{i:0.00209635787188704,u:"../Content/Shared/LuaMethods/edkcomponent.htm",a:"edkcomponent Methods The following methods are available on edkcomponent objects. You can obtain an edkcomponent object using the  getComponent  method of an  edkmatch  object.",t:"edkcomponent Methods"},"173":{i:0.0226969500385374,u:"../Content/Shared/LuaMethods/getName.htm",a:"getName Retrieves the name of a component. Syntax edkcomponent:getName() Returns The component name. You can use  setName  to edit the component name.",t:"getName"},"174":{i:0.0226969500385374,u:"../Content/Shared/LuaMethods/getText.htm",a:"getText Returns the output text that is matched by a particular component.  Syntax edkcomponent:getText() Returns The matched text for a specified component. You can use  setText  to edit the text.",t:"getText"},"175":{i:0.0226969500385374,u:"../Content/Shared/LuaMethods/setName.htm",a:"setName Edits the name of the component that you retrieved with  getName . Syntax edkcomponent:setName(new_name) Arguments Returns The new component name.",t:"setName"},"176":{i:0.0226969500385374,u:"../Content/Shared/LuaMethods/setText.htm",a:"setText Edits the matched text for a particular component that you retrieved with  getText . Syntax edkcomponent:setText(new_text) Arguments Returns The new matched text for the specified component.",t:"setText"},"177":{i:0.00239334365438437,u:"../Content/Shared/LuaMethods/edkmatch.htm",a:"edkmatch Methods The following methods are available on edkmatch objects.",t:"edkmatch Methods"},"178":{i:0.00223198150031527,u:"../Content/Shared/LuaMethods/addComponent.htm",a:"Adds a new component to the match. For example, if your Eduction task returns an email address as a match, you can use addComponent to extract the text after the @ symbol and add it as a DOMAIN component for the match. You can also use addComponent to add metadata from other sources. For example, if ...",t:"addComponent"},"179":{i:0.00252896728281259,u:"../Content/Shared/LuaMethods/getComponent.htm",a:"The getComponent method returns a specified component object. The components are zero-indexed. For example, if you have six components, you can get the last component by using edkmatch:getComponent(5). Syntax edkmatch:getComponent(index) Arguments Returns The component object at the specified index ...",t:"getComponent"},"180":{i:0.00223198150031527,u:"../Content/Shared/LuaMethods/getComponentCount.htm",a:"getComponentCount Returns the total number of components in a match. Syntax edkmatch:getComponentCount() Returns The number of components.",t:"getComponentCount"},"181":{i:0.0148778137984137,u:"../Content/Shared/LuaMethods/getEntityName.htm",a:"getEntityName Gets an entity name from a match. Syntax edkmatch:getEntityName() Returns The name of the entity in a match. You can use  setEntityName  to edit the name.",t:"getEntityName"},"182":{i:0.0148778137984137,u:"../Content/Shared/LuaMethods/getMatchedText.htm",a:"Returns the input text for a particular match, that is, the text before any normalization or modification that occurs as part of the extraction process. Syntax edkmatch:getMatchedText() Returns The input text for a match. You can use  setMatchedText  to edit the text. Related Topics getOutputText",t:"getMatchedText"},"183":{i:0.0148778137984137,u:"../Content/Shared/LuaMethods/getOffset.htm",a:"getOffset Provides information on where in a document a particular match is found. Syntax edkmatch:getOffset() Returns The position of the match, in bytes. You can use  setOffset  to edit this information.",t:"getOffset"},"184":{i:0.00223198150031527,u:"../Content/Shared/LuaMethods/getOffsetLength.htm",a:"getOffsetLength Provides information on where in a document a particular match is found.  Syntax edkmatch:getOffsetLength() Returns The position of the match, in characters. You can use  setOffsetLength  to edit this information.",t:"getOffsetLength"},"185":{i:0.0148778137984137,u:"../Content/Shared/LuaMethods/getOutputText.htm",a:"Returns the output text for a match, that is, the text after any normalization or modification that takes place as part of the extraction process. Syntax edkmatch:getOutputText() Returns The output text of a match. You can use  setOutputText  to edit the text. Related Topics getMatchedText",t:"getOutputText"},"186":{i:0.0148778137984137,u:"../Content/Shared/LuaMethods/getScore.htm",a:"getScore Retrieves the score for a match. Syntax edkmatch:getScore() Returns The score for the match. You can use  setScore  to edit the score.",t:"getScore"},"187":{i:0.0148778137984137,u:"../Content/Shared/LuaMethods/setEntityName.htm",a:"setEntityName Edits the name of the entity that you retrieved by using  getEntityName . Syntax edkmatch:setEntityName(new_name) Arguments Returns The new entity name.",t:"setEntityName"},"188":{i:0.0148778137984137,u:"../Content/Shared/LuaMethods/setMatchedText.htm",a:"Edits the input text that you retrieved by using  getMatchedText . The input text is the text before any normalization or modification that takes place as part of the extraction process. By contrast,  setOutputText  enables you to edit the output text after any changes. Syntax ...",t:"setMatchedText"},"189":{i:0.0148778137984137,u:"../Content/Shared/LuaMethods/setOffset.htm",a:"setOffset Edits the position of a match in a document.  Syntax edkmatch:setOffset(new_offset) Arguments Returns The new position of the match (in bytes). Related Topics getOffset",t:"setOffset"},"190":{i:0.00412917713163987,u:"../Content/Shared/LuaMethods/setOffsetLength.htm",a:"setOffsetLength Edits the position of a match in a document.  Syntax edkmatch:setOffsetLength(new_length) Arguments Returns The new position of the match (in characters).",t:"setOffsetLength"},"191":{i:0.0148778137984137,u:"../Content/Shared/LuaMethods/setOutputText.htm",a:"Edits the output text that you retrieved by using  getOutputText . The output text is the text after any normalization or modification that takes place as part of the extraction process. By contrast,  setMatchedText  enables you to edit the input text before any changes are made. Syntax ...",t:"setOutputText"},"192":{i:0.0148778137984137,u:"../Content/Shared/LuaMethods/setScore.htm",a:"setScore Edits the match score that you retrieved with  getScore . Syntax edkmatch:setScore(new_score) Arguments Returns The new score for the match.",t:"setScore"},"193":{i:0.00209635787188704,u:"../Content/ThirdPartyLicenses/_ThirdPartyLicenses.htm",a:"Open Source and Third-Party Software License Agreements Micro Focus acknowledges the redistribution of the following open source and third-party components under the licenses shown below.",t:"Open Source and Third-Party Software License Agreements"},"194":{i:0.00209635787188704,u:"../Content/ThirdPartyLicenses/boost.htm",a:"\nBoost Software License - Version 1.0 - August 17th, 2003\n\nPermission is hereby granted, free of charge, to any person or organization obtaining a copy of the software and accompanying documentation covered by\nthis license (the \"Software\") to use, reproduce, display, distribute,\nexecute, and ...",t:"Boost.org Boost C++ Libraries"},"195":{i:0.00209635787188704,u:"../Content/ThirdPartyLicenses/GSSAPI.htm",a:"\nPerl5 is Copyright (C) 1993-2005, by Larry Wall and others. \nIt is free software; you can redistribute it and/or modify it under the terms of either: \na) the GNU General Public License as published by the Free Software Foundation; either version 1, or (at your option) any later version, or \nb) the ...",t:"CPAN.org GSSAPI"},"196":{i:0.00209635787188704,u:"../Content/ThirdPartyLicenses/GithubFST.htm",a:"\nThe MIT License (MIT)\n\nCopyright (c) 2015 Andrew Gallant\n\nPermission is hereby granted, free of charge, to any person obtaining a copy\nof this software and associated documentation files (the \"Software\"), to deal\nin the Software without restriction, including without limitation the rights\nto use, ...",t:"Github FST"},"197":{i:0.00209635787188704,u:"../Content/ThirdPartyLicenses/JamesClarkExpatXMLParser.htm",a:"Copyright (c) 1998, 1999, 2000 Thai Open Source Software Center Ltd and Clark Cooper\nCopyright (c) 2001, 2002, 2003, 2004, 2005, 2006 Expat maintainers.\n\n\n\n\nPermission is hereby granted, free of charge, to any person obtaining a copy of this software and associated documentation files (the ...",t:"James Clark Expat XML Parser"},"198":{i:0.00209635787188704,u:"../Content/ThirdPartyLicenses/Lua.htm",a:"\nMIT License\nCopyright (c) \u003cyear\u003e \u003ccopyright holders\u003e\n\nPermission is hereby granted, free of charge, to any person obtaining a copy of this software and associated documentation files (the \"Software\"), to deal in the Software without restriction, including without limitation the rights to use, copy, ...",t:"Lua"},"199":{i:0.00209635787188704,u:"../Content/ThirdPartyLicenses/Kerberos.htm",a:"\nMIT Kerberos License information\nCopyright  1985-2016 by the Massachusetts Institute of Technology.\nAll rights reserved.\nRedistribution and use in source and binary forms, with or without modification, are permitted provided that the following conditions are met:\n* Redistributions of source code ...",t:"MIT Kerberos Consortium Kerberos"},"200":{i:0.00209635787188704,u:"../Content/ThirdPartyLicenses/libxml.htm",a:"\nLibxml2 is the XML C parser and toolkit developed for the Gnome project (but usable outside of the Gnome platform), it is free software available under the MIT License. XML itself is a metalanguage to design markup languages, i.e. text language where semantic and structure are added to the content ...",t:"XMLsoft.org libxml"},"201":{i:0.00209635787188704,u:"../Content/ThirdPartyLicenses/libxslt.htm",a:"\nLibxml2 is the XML C parser and toolkit developed for the Gnome project (but usable outside of the Gnome platform), it is free software available under the MIT License. XML itself is a metalanguage to design markup languages, i.e. text language where semantic and structure are added to the content ...",t:"XMLsoft.org libxslt"},"202":{i:0.00209635787188704,u:"../Content/ThirdPartyLicenses/zlib.htm",a:"License\n/* zlib.h -- interface of the \u0027zlib\u0027 general purpose compression library\n  version 1.2.2, October 3rd, 2004\n\n  Copyright (C) 1995-2004 Jean-loup Gailly and Mark Adler\n\n  This software is provided \u0027as-is\u0027, without any express or implied\n  warranty.  In no event will the authors be held liable ...",t:"Zlib.net zlib"},"203":{i:0.00209635787188704,u:"../Content/Resources/MasterPages/_FT_aboutSearch.htm",a:"Searching the Help To search for information in the Help, enter a word or phrase in the Search box.  When you enter a group of words, the OR operator is inferred. You can use Boolean operators to refine your search.  Results returned are case insensitive. However, results ranking takes case into ...",t:"_FT_aboutSearch"},});